# Generated automatically from Makefile.in by configure.
include Makefile.conf

SUBDIRS=stoolkit swindow mytool swidget uniconv uniprint gui

SUBDIRS_all:=$(foreach dir, $(SUBDIRS), $(dir)_all)
SUBDIRS_clean:=$(foreach dir, $(SUBDIRS), $(dir)_clean)

.PHONY: $(SUBDIRS_all) $(SUBDIRS_clean)

all: $(SUBDIRS_all)
	@echo "----------------------------------------------------"
	@echo "Everything is made. You can type 'make install' now."
	@echo "----------------------------------------------------"

$(SUBDIRS_all):
	$(MAKE) -C $(patsubst %_all,%,$@) all

$(SUBDIRS_clean):
	$(MAKE) -C $(patsubst %_clean,%,$@) clean

clean: $(SUBDIRS_clean)
	/bin/rm -f core */core */*/core
	/bin/rm -f *.pdb */*.pdb */*/*.pdb
	/bin/rm -f *.ilk */*.ilk */*/*.ilk

veryclean: clean
	/bin/rm -f */.depend  
	/bin/rm -f config.cache config.log config.status
	/bin/rm -f Makefile  

depend:
	@for i in $(SUBDIRS); do \
		cd $$i ; $(MAKE) depend; \
		if [ $$? != 0 ]; then \
			cd ..; \
			exit 1; \
		fi;  \
		cd ..; \
	done

install:
	@if test ! -d $(prefix) ;then mkdir $(prefix); fi
	@if test ! -d $(bindir) ;then mkdir $(bindir); fi
	@if test ! -d $(mandir); then mkdir $(mandir);fi
	@if test ! -d $(mandir)/man1; then mkdir $(mandir)/man1;fi
	@if test ! -d $(datadir) ; then mkdir $(datadir);fi
	@if test ! -d $(datadir)/yudit ; then mkdir $(datadir)/yudit;fi
	@if test ! -d $(datadir)/yudit/data ;then mkdir $(datadir)/yudit/data;fi
	@if test ! -d $(datadir)/yudit/config ;then mkdir $(datadir)/yudit/config;fi
	@if test ! -d $(datadir)/yudit/fonts ;then mkdir $(datadir)/yudit/fonts;fi
	@if test ! -d $(datadir)/yudit/locale;then mkdir $(datadir)/yudit/locale;fi
	@if test ! -d $(datadir)/yudit/src;then mkdir $(datadir)/yudit/src;fi
	@if test ! -d $(datadir)/yudit/doc;then mkdir $(datadir)/yudit/doc;fi
	@if test ! -d $(datadir)/yudit/doc/de;then mkdir $(datadir)/yudit/doc/de;fi
	@if test ! -d $(datadir)/yudit/doc/ja;then mkdir $(datadir)/yudit/doc/ja;fi
	@if test ! -d $(datadir)/yudit/doc/hu;then mkdir $(datadir)/yudit/doc/hu;fi
	@if test ! -d $(datadir)/yudit/doc/yi;then mkdir $(datadir)/yudit/doc/yi;fi
	@if test ! -d $(datadir)/yudit/doc/es;then mkdir $(datadir)/yudit/doc/es;fi
	@for i in $(SUBDIRS); do \
		cd $$i ; $(MAKE) install; \
		if [ $$? != 0 ]; then \
			cd ..; \
			exit 1; \
		fi;  \
		cd ..; \
	done
	$(INSTALL_DATA) gnome-yudit.png $(datadir)/yudit/data
	$(INSTALL_DATA) yudit.properties $(datadir)/yudit/config
	$(INSTALL_DATA) doc/FAQ.TXT $(datadir)/yudit/doc
	$(INSTALL_DATA) doc/de/FAQ.TXT $(datadir)/yudit/doc/de/FAQ.TXT
	$(INSTALL_DATA) doc/ja/FAQ.TXT $(datadir)/yudit/doc/ja/FAQ.TXT
	$(INSTALL_DATA) doc/hu/FAQ.TXT $(datadir)/yudit/doc/hu/FAQ.TXT
	$(INSTALL_DATA) doc/yi/FAQ.TXT $(datadir)/yudit/doc/yi/FAQ.TXT
	$(INSTALL_DATA) doc/es/FAQ.TXT $(datadir)/yudit/doc/es/FAQ.TXT
	$(INSTALL_DATA) README.TXT $(datadir)/yudit/doc
	$(INSTALL_DATA) doc/TestPage.txt $(datadir)/yudit/doc
	$(INSTALL_DATA) doc/my-format.txt $(datadir)/yudit/doc
	$(INSTALL_DATA) doc/Yudit.bidi.txt $(datadir)/yudit/doc
	$(INSTALL_DATA) doc/UTF-8-test.txt $(datadir)/yudit/doc
	$(INSTALL_DATA) doc/UTF-8-demo.txt $(datadir)/yudit/doc
	$(INSTALL_DATA) doc/HOWTO-japanese.txt $(datadir)/yudit/doc
	$(INSTALL_DATA) doc/HOWTO-devanagari.txt $(datadir)/yudit/doc
	$(INSTALL_DATA) doc/HOWTO-configure.txt $(datadir)/yudit/doc
	$(INSTALL_DATA) doc/HOWTO-keymap.txt $(datadir)/yudit/doc
	@echo "---------------------------------------------------"
	@echo "Everything is installed. You can use ${exec_prefix}/bin/yudit"
	@echo "Have fun!"
	@echo "Gaspar - gsinai@yudit.org."
	@echo "---------------------------------------------------"
