/** 
 *  Yudit Unicode Editor Source File
 *
 *  Copyright (C) 2000  Gaspar Sinai <gsinai@yudit.org>  
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
#include "swindow/SFontNative.h"
#include <stdio.h>

/**
 * @author: Gaspar Sinai <gsinai@yudit.org>
 * @version: 2000-06-03
 * This is a specific native font, with a certain size
 */
SFontNative::SFontNative (void)
{
}

SFontNative::~SFontNative ()
{
} 

unsigned int
SFontNative::draw (const SString& xlfd, SCanvas* canvas, const SPen& pen, 
    const SS_Matrix2D& matrix, const SS_UCS4* g, unsigned int len)
{
  return 0;
}

double
SFontNative::width (const SString& xlfd, const SS_UCS4* g, unsigned int len, unsigned int *sz)
{
  if (sz) *sz=0;
  return 0.0;
}

double
SFontNative::width (const SString& xlfd)
{
  return 0.0;
}

double
SFontNative::ascent (const SString& xlfd)
{
  return 0.0;
}

double
SFontNative::descent (const SString& xlfd)
{
  return 0.0;
}

double
SFontNative::gap (const SString& xlfd)
{
  return 0.0;
}
